
	
; -------> Asl Requester Library Test Program
	
	
	SECTION asltest,code_c
	
	opt	o+,c-
	
	include	includes/libs.i

; -------> Main Routine

	bsr	openASL
	bsr	AllocASL

	bsr	openASLrequester

	bsr	FreeASL
	bsr	closeASL
	moveq.w	#0,d0
	rts

; -------> Open Asl Library (any version)	

OpenASL
	move.l	$4.w,a6
	lea	ASLname,a1
	move.l	#0,d0
	jsr	OpenLibrary(a6)
	move.l	d0,ASLbase
	rts

; -------> Allocate File Requester Space

AllocASL
	move.l	ASLbase,a6
	moveq.l	#ASL_FileRequest,d0
	lea	ASLtags,a0
	jsr	AllocAslRequest(a6)
	move.l	d0,Requesthd
	rts
		
; -------> Display Requester

OpenASLrequester
	move.l	ASLbase,a6
	move.l	Requesthd,a0
	jsr	RequestFile(a6)
	move.l	d0,reqoutput
	rts
	
; -------> Remove Requester Space

FreeASL
	move.l	ASLbase,a6
	move.l	Requesthd,a0
	jsr	FreeFileRequest(a6)
	rts
	
; -------> Close Asl Library

CloseASL
	move.l	$4.w,a6
	move.l	ASLbase,a1
	jsr	CloseLibrary(a6)
	moveq.w	#0,d0
	rts
	
; -------> Data and Equates


ASLname		dc.b	'asl.library',0
	Even	
ASLbase		dc.l	0	
Requesthd	dc.l	0
Reqoutput	dc.l	0

ASLtags
		dc.l	ASL_Hail,TitleText
		dc.l	ASL_Dir,Dirname
		dc.l	ASL_Pattern,Pat
		dc.l	TAG_Done


TitleText	dc.b	'ASL request',0
Dirname		dc.b	'Devpac2:',0
Pat		dc.b	'#?',0
	end
